-- Leaf decay

dofile(minetest.get_modpath("nature") .. "/trees.lua")

local RADIUS = 2

minetest.register_abm({
    nodenames = {
	"default:leaves",
	"nature:blossom",
	"default:apple",
    },
    interval = 120,
    chance =  4,

    action = function(pos, node, _, _)
	local connected_to_tree = false
	for i = -RADIUS, RADIUS do
	for j = -RADIUS, RADIUS do
	for k = -RADIUS, RADIUS do
	    local temp_node = {
		x = pos.x + i,
		y = pos.y + j,
		z = pos.z + k,
	    }
	    local temp_node_name = minetest.env:get_node(temp_node).name
	    for _, tree_name in ipairs(TREES) do
		if temp_node_name == tree_name then
		    connected_to_tree = true
		    break
		end
	    end
	end
	end
	end

	if not connected_to_tree then
	    minetest.env:remove_node(pos)
	end
    end
})
